#32/64 spec
#

Name:		qtermwidget
Summary:	Qt5 terminal widget
Version: 	0.8.0
Release: 	%mkrel 1
License:	GPL
Source:		%{name}-%{version}.tar.xz
Group:		Graphical desktop/LXQT
URL:		http://qtermwidget.sourceforge.net/
BuildRequires:	gcc-c++
BuildRequires:	cmake 
BuildRequires:	qt5core-devel
BuildRequires:	qt5gui-devel
BuildRequires:	qt5widgets-devel 
BuildRequires:  lxqt-build-tools
BuildRoot:	%{_tmppath}/%{name}-%{version}-build


%description
QTermWidget is an opensource project based on KDE4 Konsole
application. The main goal of this project is to provide
unicode-enabled, embeddable QT4 widget for using as a built-in
console (or terminal emulation widget). 


%package devel
Summary:	Qt5 terminal widget - devel package
Group:          Development/Libraries
Requires:       %{name} >= %{version}

%description devel
Development files for %name


%prep
%setup -q

%build
%cmake_qt5 -DUSE_QT5=true -DBUILD_DESIGNER_PLUGIN=0 -DPULL_TRANSLATIONS=Yes
%make


%install
pushd build
%makeinstall_std
popd

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE CHANGELOG README.md
%{_datadir}/%{name}5/color-schemes/*.colorscheme
%{_datadir}/%{name}5/color-schemes/*.schema
%{_datadir}/%{name}5/color-schemes/*/*.schema
%{_datadir}/%{name}5/kb-layouts/*.keytab
%{_datadir}/%{name}5/kb-layouts/*/*.keytab
%{_libdir}/lib%{name}5.so.0*
%{_datadir}/%{name}5/translations/*


%files devel
%defattr(-,root,root,-)
%{_datadir}/cmake/%{name}5/%{name}5*.cmake
%{_includedir}/%{name}5/%{name}.h
%{_includedir}/%{name}5/Filter.h
%{_includedir}/%{name}5/Emulation.h
%{_includedir}/%{name}5/qtermwidget_export.h
%{_libdir}/lib%{name}5.so
%{_libdir}/pkgconfig/%{name}5.pc

%changelog
* Mon Oct 23 2017 daniel <meisssw01 at gmail.com> 0.8.0-1pclos2017
- update

* Wed Dec 21 2016 daniel <meisssw01 at gmail.com> 0.7.1-1pclos2017
- update 

* Sun Sep 25 2016 ghostbunny <ghostbunny at gmx dot de> 0.7.0-1pclos2016
- 0.7.0

* Sat Jul 11 2015 ghostbunny <ghostbunny at gmx dot de> 0.6.0-1pclos2015
- 0.6.0
- build with qt5

* Wed Jul 09 2014 ghostbunny <ghostbunny at gmx dot de> 0.4.0-1pclos2014
- 0.4.0
- use macros instead of pure make, cmake, ...

* Wed Nov 30 2011 Texstar <texstar at gmail.com> 0.2-1pclos2011
- 0.2
